## pdfsandwich 0.1.4

=== Makefile ===
OCAMLOPT		= ocamlopt
OCAMLOPTFLAGS	= -thread -w s
OCAMLOPTLIBS	= str.cmxa unix.cmxa threads.cmxa 
OCAMLINCS		=
XOBJS			= pdfsandwich_version.cmx

SOURCE = pdfsandwich.ml
TARGET = pdfsandwich
MANUAL =	$(TARGET).1.gz

VERSION :=	$(shell cat pdfsandwich_version)

all: $(TARGET) $(MANUAL)

$(TARGET): $(XOBJS) $(SOURCE) 
	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINCS) $(OCAMLOPTLIBS) -o $@ $^


%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINCS) $(OCAMLOPTLIBS) -c $<

pdfsandwich_version.ml: pdfsandwich_version
	echo "let pdfsandwich_version=\"$(VERSION)\";; (*automatically generated from file pdfsandwich_version*)" > $@

$(MANUAL):	manual.txt
	# you need gawk for this:
	./txt2man -t PDFSANDWICH manual.txt | gzip -9 > $(MANUAL)

# Canceling pathological implicit rule:
%: %.o

##############
### install
##############

DOCFILES = 	copyright changelog

PREFIX = 		/usr/local
# this may overwrite PREFIX:
include makefile.installprefix

PREF = $(DESTDIR)$(PREFIX)
INSTALL = 	install -s
CP = 		cp
INSTALLBINDIR =	$(PREF)/bin
INSTALLMANDIR = $(PREF)/share/man/man1
INSTALLDOCDIR = $(PREF)/share/doc/$(TARGET)

install: $(DOCFILES) $(ADDITIONAL)
	mkdir -m 755 -p $(INSTALLBINDIR) $(INSTALLDOCDIR) $(INSTALLMANDIR)
	$(INSTALL) $(TARGET) $(INSTALLBINDIR)
	$(CP) $(DOCFILES) $(INSTALLDOCDIR)
	gzip -9 $(INSTALLDOCDIR)/changelog
	$(CP) $(MANUAL) $(INSTALLMANDIR)

uninstall:
	rm -rf $(INSTALLBINDIR)/$(TARGET) $(INSTALLDOCDIR) $(INSTALLMANDIR)/$(MANUAL)


##########
# PACKAGES:
##########
SVN=svn
#REMOTESRCDIR = https://pdfsandwich.svn.sourceforge.net/svnroot/pdfsandwich/trunk/src
REMOTESRCDIR = https://svn.code.sf.net/p/pdfsandwich/code/trunk/src
PACKAGE :=	$(TARGET)-$(VERSION)
bz2: $(PACKAGE).tar.bz2

# source package:
$(PACKAGE).tar.bz2:
	# "clean" checkout (unversioned):
	$(SVN) export $(REMOTESRCDIR) $(PACKAGE)
	tar -cjf $@ $(PACKAGE)
	rm -rf $(PACKAGE)

# MacOS X Macport:
Portfile: $(PACKAGE).tar.bz2 pdfsandwich_version
	./make_portfile.pl $< > $@

###### deb (Ubuntu)

ARCHITECTURE := $(shell uname -a|perl -e 'while(<>) {print /x86_64/ ? "amd64" : "i386";}')
DEBPACKAGE :=	$(TARGET)_$(VERSION)_$(ARCHITECTURE)
DEBDOCDIR = 	$(DEBPACKAGE)/usr/share/doc/$(TARGET)

deb: control md5sums
	mkdir -p $(DEBPACKAGE)/DEBIAN
	cp $^ $(DEBPACKAGE)/DEBIAN
	fakeroot dpkg -b $(DEBPACKAGE)/ .

$(DEBPACKAGE): all
	$(MAKE) PREFIX=$@/usr install
	./changelog2deb.pl changelog | gzip -9 > $(DEBDOCDIR)/changelog.Debian.gz
	
md5sums: $(DEBPACKAGE)
	cd $< && find * -type f -exec md5sum {} \; > ../md5sums
	chmod 644 md5sums

control: $(DEBPACKAGE)
	./make_control.pl $< > $@
	
clean: 
	rm -f *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so depend $(TARGET)
	rm -f pdfsandwich_version.ml $(MANUAL)
	rm -rf $(PACKAGE) $(PACKAGE).tar.bz2 $(DEBPACKAGE)

=== debian/changelog ===
pdfsandwich (0.1.4-1build2) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 11:30:44 +0000

pdfsandwich (0.1.4-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Fri, 06 Nov 2015 09:59:54 -0600

pdfsandwich (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #799129)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Sep 2015 10:50:51 +0200

=== debian/control ===
Source: pdfsandwich
Section: text
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 9), ocaml-nox, txt2man
Standards-Version: 3.9.6
Homepage: http://www.tobias-elze.de/pdfsandwich/index.html
VCS-Git: git://anonscm.debian.org/git/collab-maint/pdfsandwich.git
VCS-Browser: http://anonscm.debian.org/cgit/collab-maint/pdfsandwich.git

Package: pdfsandwich
Architecture: any
Depends: exactimage,
         ghostscript,
         imagemagick,
         tesseract-ocr (>=3.00),
         unpaper,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tool to generate "sandwich" OCR pdf files.
 pdfsandwich generates "sandwich" OCR pdf files, i.e. pdf files which contain
 only images (no text) will be processed by optical character recognition (OCR)
 and the text will be added to each page invisibly "behind" the images.
 pdfsandwich is a command line tool which is supposed to be useful to OCR
 scanned books or journals.
 .
 It is able to recognize the page layout even for multicolumn text.
 .
 Essentially, pdfsandwich is a wrapper script which calls the following
 binaries: convert, unpaper, gs, hocr2pdf (for tesseract < 3.03), and tesseract.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr/


override_dh_auto_clean:
	[ -e makefile.installprefix ] && make clean || exit 0

override_dh_installdocs:
	dh_installdocs -Xchangelog2deb.pl -Xmanual.txt

## pdfsandwich 0.1.6

=== debian/changelog ===
pdfsandwich (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump to d/compat level 10 and update B-D version on debhelper to >10
    accordingly.

 -- Tobias Frost <tobi@debian.org>  Wed, 25 Jan 2017 20:49:56 +0100

pdfsandwich (0.1.5-2) unstable; urgency=medium

  * Really uploading to unstable now.

 -- Tobias Frost <tobi@debian.org>  Mon, 12 Sep 2016 08:12:37 +0200

pdfsandwich (0.1.5-1) experimental; urgency=medium

  * New upstream release, upload to unstable. (Closes: #802233)
  * B-D on ocaml-nox only
  * Add Depends on poppler-utils, as upstream migrates to it
  * Update binary package description and synopsis.
  * Update years in d/copyright
  * Bump S-V -- no changes
  * Replace VCS-* Links with https:// versions.

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Sep 2016 15:34:13 +0200

pdfsandwich (0.1.4-2) experimental; urgency=medium

  * B-D on ocaml-native-compilers to see if this enables more archs.
  * Targeting experimental for this.

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Nov 2015 23:39:13 +0100

=== debian/control ===
Source: pdfsandwich
Section: text
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 10), ocaml-nox, txt2man
Standards-Version: 3.9.8
Homepage: http://www.tobias-elze.de/pdfsandwich/index.html
VCS-Git: https://anonscm.debian.org/git/collab-maint/pdfsandwich.git
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/pdfsandwich.git

Package: pdfsandwich
Architecture: any
Depends: exactimage,
         ghostscript,
         imagemagick,
         tesseract-ocr (>=3.00),
         poppler-utils,
         unpaper,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tool to generate "sandwich" OCR pdf files
 pdfsandwich generates "sandwich" OCR pdf files, i.e. pdf files which contain
 only images (no text) will be processed by optical character recognition (OCR)
 and the text will be added to each page invisibly "behind" the images.
 pdfsandwich is a command line tool which is supposed to be useful to OCR
 scanned books or journals.
 .
 It is able to recognize the page layout even for multicolumn text.
 .
 Essentially, pdfsandwich is a wrapper script which calls the following
 binaries: convert, unpaper, gs (only for psd resizing), hocr2pdf (for
 tesseract < 3.03), and tesseract.

=== debian/watch ===
version=3
http://sf.net/pdfsandwich/pdfsandwich-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pdfsandwich 0.1.7

=== Makefile ===
--- 
+++ 
@@ -47,11 +47,12 @@
 INSTALLDOCDIR = $(PREF)/share/doc/$(TARGET)
 
 install: $(DOCFILES) $(ADDITIONAL)
-	mkdir -m 755 -p $(INSTALLBINDIR) $(INSTALLDOCDIR) $(INSTALLMANDIR)
+	(umask 0022; mkdir -p $(INSTALLBINDIR) $(INSTALLDOCDIR) $(INSTALLMANDIR))
 	$(INSTALL) $(TARGET) $(INSTALLBINDIR)
 	$(CP) $(DOCFILES) $(INSTALLDOCDIR)
 	gzip -9 $(INSTALLDOCDIR)/changelog
 	$(CP) $(MANUAL) $(INSTALLMANDIR)
+	chmod 644 $(INSTALLDOCDIR)/* $(INSTALLMANDIR)/*
 
 uninstall:
 	rm -rf $(INSTALLBINDIR)/$(TARGET) $(INSTALLDOCDIR) $(INSTALLMANDIR)/$(MANUAL)
@@ -91,6 +92,7 @@
 $(DEBPACKAGE): all
 	$(MAKE) PREFIX=$@/usr install
 	./changelog2deb.pl changelog | gzip -9 > $(DEBDOCDIR)/changelog.Debian.gz
+	chmod 644 $(DEBDOCDIR)/changelog.Debian.gz
 	
 md5sums: $(DEBPACKAGE)
 	cd $< && find * -type f -exec md5sum {} \; > ../md5sums
@@ -102,5 +104,5 @@
 clean: 
 	rm -f *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so depend $(TARGET)
 	rm -f pdfsandwich_version.ml $(MANUAL)
-	rm -rf $(PACKAGE) $(PACKAGE).tar.bz2 $(DEBPACKAGE)
+	rm -rf $(PACKAGE) $(PACKAGE).tar.bz2 $(DEBPACKAGE) $(DEBPACKAGE).deb

=== debian/changelog ===
pdfsandwich (0.1.7-3build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:56:08 +0100

pdfsandwich (0.1.7-3build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:17:41 +0200

pdfsandwich (0.1.7-3build1) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:39:59 +0100

pdfsandwich (0.1.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix field name case in debian/control (VCS-Git => Vcs-Git).
  * Fix field name case in debian/control (VCS-Browser ⇒ Vcs-Browser).
  * Remove constraints unnecessary since buster (oldstable):
    + pdfsandwich: Drop versioned constraint on tesseract-ocr in Depends.

  [ Tobias Frost ]
  * Bump S-V to 4.7.0 - no changes required
  * Bump compat level to 13.
  * Bump d/watch version to 4. 

 -- Tobias Frost <tobi@debian.org>  Mon, 23 Dec 2024 19:07:42 +0100

pdfsandwich (0.1.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Update standards version to 4.2.1, no changes needed.

  [ Tobias Frost ]
  * Update copyright years.
  * Update S-V to 4.5.0:
    - specify Rules-Requires-Root to no
  * Use compat level 12.
  * At metadata for upstream BTS.
  * Enable CI on salsa.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Apr 2020 11:30:21 +0200

pdfsandwich (0.1.7-1) unstable; urgency=medium

  * New upstream release.
    - remove 02-fix-903026.patch -- implemented by upstream in new version
    - Rework 03-spelling-fixes.patch -- applied upstream partially.
  * Bump S-V to 4.2.0 (added Requires-Root to d/control).

 -- Tobias Frost <tobi@debian.org>  Thu, 23 Aug 2018 21:20:30 +0200

pdfsandwich (0.1.6-2) unstable; urgency=medium

  * d/control: repository moved to gitlab.
  * Add patch to put temporary files into own tmpdir with the proper
    permsissions. (Closes: #903026, #868934)
  * Bump S-V to 4.1.5 -- no changes
  * Update d/copyright: years and secure URI
  * Bump compat level to 11
  * Add spelling fixing patch

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Jul 2018 21:49:14 +0800

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 override_dh_installdocs:
 	dh_installdocs -Xchangelog2deb.pl -Xmanual.txt
-

=== debian/watch ===
version=4
https://sf.net/pdfsandwich/pdfsandwich-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
